<?php
  class Adcell
  {
    public static function GetCoupons($username, $pass, $count, $eroticAllowed)
    {
        $eroticAllowed = $eroticAllowed == 1 ? '2' : '0';
        $xmlBuffer = simplexml_load_file(
          sprintf(
            'https://www.adcell.de/affiliate-gutscheine-xml.php?uname=%s&pass=%s&ecat=%s',
            $username,
            $pass,
            $eroticAllowed
            )
        );
        
        $tmpArray = array();
        
        foreach ($xmlBuffer as $key) {
          $shopItem = array();
          // Pretty gay - implicite cast to string to get
          // rid of simpleXmlElement
          $shopItem['ShopName']      = (string) $key->pname;
          $shopItem['ShopLogo']      = (string) $key->plogo;
          $shopItem['CouponCode']    = (string) $key->gcode;
          $shopItem['CouponCode']    = empty($shopItem['CouponCode']) ? 'Keiner notwendig' : $shopItem['CouponCode'];
          $shopItem['CouponInfo']    = (string) $key->ginfo;
          $shopItem['AffiliateLink'] = (string) $key->glink;
          $shopItem['Expires']       = (string) $key->gbis;
          // HACK: why the heck does adcell include an iso time? - Strip out! :-P
          $shopItem['Expires']       = explode(' ', $shopItem['Expires']);
          $shopItem['Expires']       = $shopItem['Expires'][0];
          
          $tmpArray[] = $shopItem;
        } 
        shuffle($tmpArray);
        
        $outArray = array();
        for ($i = 0; $i < $count; $i++)
          $outArray[] = $tmpArray[$i];
        
        return $outArray;
    }
  }
?>